Beacons: Create
POST /apps/{app_id}/beaconsPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
Body Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
beacon |
object | Yes | |
beacon.beacon_id |
string | Yes | Beacon id |
beacon.nickname |
string | Yes | Beacon nick |
beacon.uuid |
string | Yes | Beacon UUID |
beacon.major |
string | Yes | Beacon major |
beacon.minor |
string | Yes | Beacon minor |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request POST \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/beacons/ \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json' \ --data '{ "beacon": { "beacon_id": "new_beacon_id", "nickname": "new_beacon_nickname", "uuid": "Beacon uuid", "major": 555, "minor": 555 }}'Responses
Section titled “Responses”200
{ "id": "67f8f42ba46a6fcfde14366a", "nickname": "test", "cached_beacon_events_count": 0, "created_at": "2025-04-11T10:51:23Z", "uuid": "3A149B28-3868-4FCC-92FC-DA167776668D", "major": 5, "minor": 9, "battery": "Check", "beacon_id": "7788", "groups": [], "actions": { "edit": "/api/v2/apps/5ae07be64753364695040000/beacons/67f8f42ba46a6fcfde14366a", "delete": "/api/v2/apps/5ae07be64753364695040000/beacons/67f8f42ba46a6fcfde14366a" }}
